<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <link href="https://brendan.ie/main.css" rel="stylesheet">

    <title>{title}</title>

    <meta content="{title}" name="title">
    <meta content="Brendan Golden" name="author">
    <meta content="Brendan's Home" name="description">

    <!-- for mobile devices -->
    <meta content="width=device-width,initial-scale=1" name="viewport">

    <!-- for code formatting -->
    <link href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/11.2.0/styles/rainbow.min.css" rel="stylesheet">
    <script src="https://brendan.ie/highlight.min.js"></script>
    <script>hljs.highlightAll()</script>

    <!-- brendan.coffee -->
    <link href="https://brendan.ie/coffee/coffee.css" rel="stylesheet">
    <script src="https://brendan.ie/coffee/coffee.js"></script>
  </head>
  <body class="sticky-wrapper">
    <div id="coffee_anchor"><span id="served"></span></div>
    <script>C0FFEE()</script>
    <main>
<!--indentation is managed by the converter-->
{body}
    </main>
  </body>
  <style>
      section.slide {
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%) scale(3);
      }
  </style>
  <script>
    let slide_number = 0;
    let slide_max = 0;

    for (let section of document.querySelectorAll("section.slide")) {
      let number = parseInt(section.id, 10);
      if (number > slide_max) {
        slide_max = number;
      }
    }

    slide_next = (change) => {
      // make old hidden
      document.getElementById(`${slide_number}`).style.display = "none";

      // make the change
      let slide_number_new = slide_number + change;
      if (slide_number_new >= 0 && slide_number_new <= slide_max) {
        slide_number += change;
      }

      // make current visible
      document.getElementById(`${slide_number}`).style.display = "block";
    }

    // add event listner
    onkeydown = (event) => {
      if (event.key === "ArrowRight" || event.key === "ArrowDown") {
        slide_next(1);
      }
      if (event.key === "ArrowLeft" || event.key === "ArrowUp") {
        slide_next(-1);
      }
    };

    on_events = (clickTargetWidth, xCoordInClickTarget) => {
      if (clickTargetWidth / 2 > xCoordInClickTarget) {
        slide_next(-1);
      } else {
        slide_next(1);
      }
    }

    onclick = (event) => {
      on_events(event.target.offsetWidth, event.clientX - event.target.getBoundingClientRect().left);
    };
    ontouchstart = (event) => {
      on_events(event.target.offsetWidth, event.touches[0].clientX - event.target.getBoundingClientRect().left);
    };
    // show the first slide
    slide_next(0)
  </script>
</html>